Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225207 - Review Request: libsmbios - library for userspace smbios table parsing
Summary: Review Request: libsmbios - library for userspace smbios table parsing
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Domsch
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-01-29 19:30 UTC by Michael E Brown
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-23 23:15:13 UTC
matt_domsch: fedora-review+
wtogami: fedora-cvs+


Attachments (Terms of Use)
rpmlint results (deleted)
2007-02-06 03:53 UTC, Matt Domsch
no flags Details

Description Michael E Brown 2007-01-29 19:30:58 UTC
Spec URL: http://linux.dell.com/libsmbios/download/libsmbios/libsmbios-0.13.0/libsmbios.spec  

SRPM URL: http://linux.dell.com/libsmbios/download/libsmbios/libsmbios-0.13.0/libsmbios-0.13.0-1.fc6.src.rpm

Description: 
This is my first package and I am seeking a sponsor.

Libsmbios is a library and utilites that can be used by client programs to get information from standard BIOS tables, such as the SMBIOS table.

Currently, libsmbios is required by the HAL module for backlight control on Dell Laptops.

Comment 1 Matt Domsch 2007-02-05 17:33:50 UTC
I'll sponsor Michael.

Comment 2 Matt Domsch 2007-02-06 03:53:44 UTC
Created attachment 147432 [details]
rpmlint results


MUST:
* name good
* spec name good
* license good
* license matches
* licenses are in %doc for all subpackages
* spec is English
* spec is legible
* sources match
* package builds on mock for i386 and x86_64 at least, didn't try ia64
* comment present for ExclusiveArch
* BRs OK
* no locales used
* ldconfig used in %post and %postun properly
* not relocatable
* package owns its directories
* no duplicate files
* defattr present for each subpackage
* %clean ok
* consistent use of macros
* packages contain code, not content
* extra docs not presently being built, will be in -devel when they
  are.	No need for a -doc subpackage.
* nothing in %doc needed at runtime
* headers and static libs in -devel package
* no .pc files
* -devel has the unversioned lib*.so files
* -devel properly requires name = %{version}-%{release}
* no GUI -> no .desktop
* no directory ownership problems

SHOULD:
* source includes licenses
* string translations not available
* package builds in mock
* package builds on all supported arches
* package runs as expected
* scriptlets sane
* subpackages properly Require parent
* no pkgconfig files

Packaging Guidelines
* changelog ok
* tags ok
* buildroot ok
* summary and descriptions ok
* encoding ok
* docs ok
* optflags ok
* no static linked bins
* no system lib duplication
* no rpath
* no config files
* no desktop files
* consistent macros
* no %makeinstall
* no locale
* cp -a used
* smp_mflags used
* scriptlets ok

You can ignore the rpmlint error about missing the ldconfig symlink,
as it's present in the -devel package as PackagingGuidelines require.

Bugs:
* Docs permissions are 755, not 644
* source files, thus /usr/src/debug/* are 755, not 644
* package includes *.la files, need to be rm'd in %install and not
installed in %files.
* Obsoletes, but doesn't Provide, a couple packages
* -libs Summary ends with a .
* -devel %doc should include additional licenses of boost (boost
  1.0, which is GPL-compatible)
* add getopts (3-clause BSD) license to all %docs
* add a MANIFEST in %doc noting which parts are covered by which
license.
* trivial rpmlint cleanups for spelling and the like


APPROVED with the above trivial fixes

Comment 3 Peter Gordon 2007-02-08 05:22:49 UTC
Also, just a minor comment: The ExclusiveArch only has i386, which means that if
a user tried to build it on an i686 system it would fail, for example. It is
likely better to use %{ix86} here (which expands via RPM to the list of 'i386
i486 i586 i686'). Thanks.

Comment 4 Michael E Brown 2007-02-08 19:39:30 UTC
Changes included in libsmbios 0.10.2. Will post new spec/srpm shortly and update
bugzilla.

- Fixed ExlusiveArch %{ix86}

- fixed permissions
- removed *.la files
- added Provides: for Obsoletes:
- fixed -libs summary
- added boost license file to -devel
- added getopts license to all %docs
- fixed speling erors

Comment 6 Matt Domsch 2007-02-15 18:46:21 UTC
Looks good, thanks for making those changes.  APPROVED.

Comment 7 Michael E Brown 2007-02-23 13:24:44 UTC
New Package CVS Request
=======================
Package Name: libsmbios
Short Description: Library for accessing BIOS information tables
Owners: mebrown@michaels-house.net,matt_domsch@dell.com
Branches: devel
InitialCC: michael_e_brown@dell.com

Comment 8 Warren Togami 2007-02-23 18:52:56 UTC
By the newly ratified process, please keep the reviewer assigned both durnig and
after the review.

Comment 9 Michael E Brown 2007-03-13 17:46:51 UTC
Request CVS Branches for:
  FC-6
  EPEL-4
  EPEL-5


Note You need to log in before you can comment on or make changes to this bug.